Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358474 - VMware-Cloning a template fails when the target datacenter is nested below multiple folders
Summary: VMware-Cloning a template fails when the target datacenter is nested below mu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.7.0
Assignee: Drew Bomhof
QA Contact: Shveta
URL:
Whiteboard: provision:vmware
Depends On:
Blocks: 1361174
TreeView+ depends on / blocked
 
Reported: 2016-07-20 19:19 UTC by Thomas Hennessy
Modified: 2017-01-11 20:21 UTC (History)
8 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1361174 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:21:24 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
VI Client screen capture of logical location of datacenter that is failing (deleted)
2016-07-20 19:19 UTC, Thomas Hennessy
no flags Details
current logs from failing appliance showing provisioning failure (deleted)
2016-07-20 19:24 UTC, Thomas Hennessy
no flags Details

Description Thomas Hennessy 2016-07-20 19:19:28 UTC
Created attachment 1182237 [details]
VI Client screen capture of logical location of datacenter that is failing

Description of problem:Attempts to provision from a template fail with the target destination specified with '<:placement_folder_name> updated with <[nil, nil]>'.
Provision to datacenter not within any folder is successful


Version-Release number of selected component (if applicable): Version: 5.6.0.13


How reproducible: see attached screen image for folder hierarchy that is failing.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Thomas Hennessy 2016-07-20 19:23:56 UTC
Actual Results:
Provision fails with provision spec indicating that no target location was specified (ie, multiple 'nil' entries)

Expected Results:
provisioning should succeed.


Results suggest that CFME is not correctly handling the location of a data center when it is logically nested within multiple folders.

Comment 3 Thomas Hennessy 2016-07-20 19:24:45 UTC
Created attachment 1182238 [details]
current logs from failing appliance showing provisioning failure

Comment 6 CFME Bot 2016-08-15 21:30:55 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e6acec14a1bf5a33f5b9f2fa88ca5016ffef7f1f

commit e6acec14a1bf5a33f5b9f2fa88ca5016ffef7f1f
Author:     Drew Bomhof <dbomhof@redhat.com>
AuthorDate: Thu Aug 4 12:42:30 2016 -0400
Commit:     Drew Bomhof <dbomhof@redhat.com>
CommitDate: Mon Aug 15 16:35:40 2016 -0400

    No longer default a datacenter at the root folder of a host.
    
    If a datacenter was nested logically under various folders
    We were unable to find the placement id during a vmware provision
    request.
    
    This fix always does a lookup of the folder path from the
    host datacenter instead of statically setting a possible wrong
    default value.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1358474
    
    https://www.pivotaltracker.com/story/show/127205001

 .../vmware/infra_manager/provision/cloning.rb      |  4 +--
 .../vmware/infra_manager/provision_spec.rb         | 34 ++++++++++++++++++++--
 2 files changed, 34 insertions(+), 4 deletions(-)

Comment 7 Shveta 2016-09-19 22:25:26 UTC
"Clone this template" and 
"Provision VM from this template" worked fine with data center nested below multiple folder.

Build : 5.7.0.0.20160906172503_12f65cb


Note You need to log in before you can comment on or make changes to this bug.